Foreman - Bug #21304

Interface tab will grey out causing host creation to be re done
10/11/2017 03:52 PM - keith lin

Status: New

Priority: Normal

Assignee: Amir Fefer
Category: Compute resources

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
This bug has been tested with several computers with both firefox and chrome fresh install with no extensions other than lastpass.

Replication:

- In the gui proceed to create host
- Fill out the host tab select ovirt as the provider then quickly click on the interface tab.

Create Host

& C' | & Secure | httpe . aw ® p‘ﬂ

‘ FOREMAN

Any Context  + Monitor v Containers v Hosts v Configure v Infrastructure v Administer v

Create Host

Host Puppet Classes Interfaces Operating System Virtual Machine Parameters Additional Information
Name* | randy-mantey [@ | 24| Thisvalue is used also as the host's primary interface name
Location * SCs
Host Group Base Systems

Deploy on Ovirt (oVirt)

Compute profile 2-Medium % | ¥ | inherit

Environment production v | inherit
Puppet Master I v | inherit | Use this puppet server as an initial Puppet Server or to execute puppet runs
Puppet CA v | inherit Use this puppet server as a CA server
conce | Y

- Click edit, the interface prompt will pop up for a second then it will disappear leaving the screen greyed out.
This issue only affect vms created from ovirt. ec2 and baremetal works as intended.

History

#1 - 10/11/2017 03:59 PM - keith lin

- File foremanbug.png added

- File hostcreationforeman.png added

This bug has been tested on several computers; both firefox and chrome fresh-install with no extensions other than lastpass.
Replication:

- In the gui proceed to create host
- Fill out the host tab similar to below with ovirt provider.
Create Host

Host Puppet Classes Interfaces Operating System Virtual Machine Parameters Additional Information

Name * randy-mantey [@ =8 Thisvalueis used also as the host's primary interface name.
Lacation * sCs -
Host Group Base Systems x |®
Deploy on Ovirt (ovirt) -
Compute profile 2-Medium * | v | inherit
Environment production v | inherit

Puppet Master inherit Use this puppet server as an initial Puppet Server or to execute puppet runs

«

Puppet CA inherit Use this puppet server as a CA server

«

- Click edit, the interface prompt will pop up for a second then it will disappear leaving the screen greyed out.
This issue only affect vms created from ovirt. Ec2 and baremetal works as intended.

#2 - 10/19/2017 04:40 PM - Marek Hulan
- Category set to Compute resources - oVirt

- Priority changed from High to Normal

Does this happen every time? It looks like some issue with templates verification modal window. Please upload your production.log and check your
browser js console.

#3 - 10/19/2017 05:41 PM - keith lin
Marek Hulan wrote:

Does this happen every time? It looks like some issue with templates verification modal window. Please upload your production.log and check
your browser js console.

Yes, it happens every time as long as | am quick enough to get to the interface tab after completing the host-tab. If | wait a while like a good 10
seconds or so after | complete t he host tab, | won't be able to reproduce the bug.

There's nothing in browser js console and there's nothing, the production log... it's just a bunch of

2017-10-19T10:33:58 [app] [I] Current user: foreman_admin (administrator)
2017-10-19T10:33:59 [app] [I] Current user: foreman_admin (administrator)
2017-10-19T10:33:59 [app] [I] Current user: foreman_admin (administrator)
2017-10-19T10:33:59 [app] [I] Current user: foreman_admin (administrator)

#4 - 10/20/2017 09:46 AM - Marek Hulan

- Category changed from Compute resources - oVirt to Compute resources

Ok, that's probably not ovirt specific. | think happens because after the CR is selected in host form, we load information about available networks
asynchronously. If you open modal window meanwhile, it get removed when we get a reply and redraw some parts of the interfaces form, where we
need to display found networks. While it's being quite painful, the workaround should be waiting after CR selection until the spinner disappears.

#5 - 10/31/2017 02:29 PM - Tomas Strachota

- Target version set to 219

#6 - 10/31/2017 02:31 PM - Tomas Strachota

- Subject changed from [Web Gui] Interface tab will grey out causing host creation to be re done [ovirt only] to Interface tab will grey out causing host
creation to be re done

#7 - 12/12/2017 02:42 PM - Walden Raines
- Target version changed from 219 to 239

#8 - 01/03/2018 01:58 PM - Walden Raines

- Assignee set to Amir Fefer
Amir mind taking a look?

#9 - 01/23/2018 02:41 PM - Walden Raines
- Target version changed from 239 to 243

#10 - 02/13/2018 02:09 PM - Walden Raines
- Target version changed from 243 to 248

#11 - 03/06/2018 01:47 PM - Walden Raines
- Target version changed from 248 to 250

#12 - 03/27/2018 03:23 PM - Walden Raines
- Target version changed from 250 to 253

#13 - 06/18/2018 08:56 PM - Walden Raines
- Target version deleted (253)
